function::print_usyms
Prev | Chapter 2. Context Functions | Next

## Name

function::print_usyms — Print out user stack from string

## Synopsis

        print_usyms(callers:string)

## Arguments

`callers`

  String with list of hexadecimal (user) addresses

## Description

This function performs a symbolic lookup of the addresses in the given string, which are assumed to be the result of prior calls to `ustack`, `ucallers`, and similar functions.

Prints one line per address, including the address, the name of the function containing the address, and an estimate of its position within that function, as obtained by `usymdata`. Returns nothing.

Prev | Up | Next
function::print_ustack | Home | function::probe_type